"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetDeploymentGroups_1 = require("../model/operations/BatchGetDeploymentGroups");
var BatchGetDeploymentGroupsCommand = /** @class */ (function () {
    function BatchGetDeploymentGroupsCommand(input) {
        this.input = input;
        this.model = BatchGetDeploymentGroups_1.BatchGetDeploymentGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetDeploymentGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetDeploymentGroupsCommand;
}());
exports.BatchGetDeploymentGroupsCommand = BatchGetDeploymentGroupsCommand;
//# sourceMappingURL=BatchGetDeploymentGroupsCommand.js.map