import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetDeploymentsInput } from "../types/BatchGetDeploymentsInput";
import { BatchGetDeploymentsOutput } from "../types/BatchGetDeploymentsOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/BatchGetDeploymentsInput";
export * from "../types/BatchGetDeploymentsOutput";
export * from "../types/BatchGetDeploymentsExceptionsUnion";
export declare class BatchGetDeploymentsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetDeploymentsInput, OutputTypesUnion, BatchGetDeploymentsOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: BatchGetDeploymentsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetDeploymentsInput, BatchGetDeploymentsOutput, Blob>;
    constructor(input: BatchGetDeploymentsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<BatchGetDeploymentsInput, BatchGetDeploymentsOutput>;
}
