import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateApplicationInput } from "../types/CreateApplicationInput";
import { CreateApplicationOutput } from "../types/CreateApplicationOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/CreateApplicationInput";
export * from "../types/CreateApplicationOutput";
export * from "../types/CreateApplicationExceptionsUnion";
export declare class CreateApplicationCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateApplicationInput, OutputTypesUnion, CreateApplicationOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: CreateApplicationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateApplicationInput, CreateApplicationOutput, Blob>;
    constructor(input: CreateApplicationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<CreateApplicationInput, CreateApplicationOutput>;
}
