import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetOnPremisesInstanceInput } from "../types/GetOnPremisesInstanceInput";
import { GetOnPremisesInstanceOutput } from "../types/GetOnPremisesInstanceOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetOnPremisesInstanceInput";
export * from "../types/GetOnPremisesInstanceOutput";
export * from "../types/GetOnPremisesInstanceExceptionsUnion";
export declare class GetOnPremisesInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, GetOnPremisesInstanceInput, OutputTypesUnion, GetOnPremisesInstanceOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetOnPremisesInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetOnPremisesInstanceInput, GetOnPremisesInstanceOutput, Blob>;
    constructor(input: GetOnPremisesInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetOnPremisesInstanceInput, GetOnPremisesInstanceOutput>;
}
