import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListGitHubAccountTokenNamesInput } from "../types/ListGitHubAccountTokenNamesInput";
import { ListGitHubAccountTokenNamesOutput } from "../types/ListGitHubAccountTokenNamesOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/ListGitHubAccountTokenNamesInput";
export * from "../types/ListGitHubAccountTokenNamesOutput";
export * from "../types/ListGitHubAccountTokenNamesExceptionsUnion";
export declare class ListGitHubAccountTokenNamesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListGitHubAccountTokenNamesInput, OutputTypesUnion, ListGitHubAccountTokenNamesOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: ListGitHubAccountTokenNamesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListGitHubAccountTokenNamesInput, ListGitHubAccountTokenNamesOutput, Blob>;
    constructor(input: ListGitHubAccountTokenNamesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<ListGitHubAccountTokenNamesInput, ListGitHubAccountTokenNamesOutput>;
}
