"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsToOnPremisesInstancesInput_1 = require("../shapes/AddTagsToOnPremisesInstancesInput");
var AddTagsToOnPremisesInstancesOutput_1 = require("../shapes/AddTagsToOnPremisesInstancesOutput");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var TagRequiredException_1 = require("../shapes/TagRequiredException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var InstanceLimitExceededException_1 = require("../shapes/InstanceLimitExceededException");
var InstanceNotRegisteredException_1 = require("../shapes/InstanceNotRegisteredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToOnPremisesInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToOnPremisesInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToOnPremisesInstancesInput_1.AddTagsToOnPremisesInstancesInput
    },
    output: {
        shape: AddTagsToOnPremisesInstancesOutput_1.AddTagsToOnPremisesInstancesOutput
    },
    errors: [
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: TagRequiredException_1.TagRequiredException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: InstanceLimitExceededException_1.InstanceLimitExceededException
        },
        {
            shape: InstanceNotRegisteredException_1.InstanceNotRegisteredException
        }
    ]
};
//# sourceMappingURL=AddTagsToOnPremisesInstances.js.map