"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetOnPremisesInstancesInput_1 = require("../shapes/BatchGetOnPremisesInstancesInput");
var BatchGetOnPremisesInstancesOutput_1 = require("../shapes/BatchGetOnPremisesInstancesOutput");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var BatchLimitExceededException_1 = require("../shapes/BatchLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetOnPremisesInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetOnPremisesInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetOnPremisesInstancesInput_1.BatchGetOnPremisesInstancesInput
    },
    output: {
        shape: BatchGetOnPremisesInstancesOutput_1.BatchGetOnPremisesInstancesOutput
    },
    errors: [
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: BatchLimitExceededException_1.BatchLimitExceededException
        }
    ]
};
//# sourceMappingURL=BatchGetOnPremisesInstances.js.map