"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDeploymentGroupsInput_1 = require("../shapes/ListDeploymentGroupsInput");
var ListDeploymentGroupsOutput_1 = require("../shapes/ListDeploymentGroupsOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDeploymentGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDeploymentGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDeploymentGroupsInput_1.ListDeploymentGroupsInput
    },
    output: {
        shape: ListDeploymentGroupsOutput_1.ListDeploymentGroupsOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListDeploymentGroups.js.map