"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutLifecycleEventHookExecutionStatusInput_1 = require("../shapes/PutLifecycleEventHookExecutionStatusInput");
var PutLifecycleEventHookExecutionStatusOutput_1 = require("../shapes/PutLifecycleEventHookExecutionStatusOutput");
var InvalidLifecycleEventHookExecutionStatusException_1 = require("../shapes/InvalidLifecycleEventHookExecutionStatusException");
var InvalidLifecycleEventHookExecutionIdException_1 = require("../shapes/InvalidLifecycleEventHookExecutionIdException");
var LifecycleEventAlreadyCompletedException_1 = require("../shapes/LifecycleEventAlreadyCompletedException");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var UnsupportedActionForDeploymentTypeException_1 = require("../shapes/UnsupportedActionForDeploymentTypeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutLifecycleEventHookExecutionStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutLifecycleEventHookExecutionStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutLifecycleEventHookExecutionStatusInput_1.PutLifecycleEventHookExecutionStatusInput
    },
    output: {
        shape: PutLifecycleEventHookExecutionStatusOutput_1.PutLifecycleEventHookExecutionStatusOutput
    },
    errors: [
        {
            shape: InvalidLifecycleEventHookExecutionStatusException_1.InvalidLifecycleEventHookExecutionStatusException
        },
        {
            shape: InvalidLifecycleEventHookExecutionIdException_1.InvalidLifecycleEventHookExecutionIdException
        },
        {
            shape: LifecycleEventAlreadyCompletedException_1.LifecycleEventAlreadyCompletedException
        },
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: UnsupportedActionForDeploymentTypeException_1.UnsupportedActionForDeploymentTypeException
        }
    ]
};
//# sourceMappingURL=PutLifecycleEventHookExecutionStatus.js.map