"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RevisionLocation_1 = require("./_RevisionLocation");
exports.RegisterApplicationRevisionInput = {
    type: "structure",
    required: ["applicationName", "revision"],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        description: {
            shape: {
                type: "string"
            }
        },
        revision: {
            shape: _RevisionLocation_1._RevisionLocation
        }
    }
};
//# sourceMappingURL=RegisterApplicationRevisionInput.js.map