"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LifecycleEventList_1 = require("./_LifecycleEventList");
var _ECSTaskSetList_1 = require("./_ECSTaskSetList");
exports._ECSTarget = {
    type: "structure",
    required: [],
    members: {
        deploymentId: {
            shape: {
                type: "string"
            }
        },
        targetId: {
            shape: {
                type: "string"
            }
        },
        targetArn: {
            shape: {
                type: "string"
            }
        },
        lastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        lifecycleEvents: {
            shape: _LifecycleEventList_1._LifecycleEventList
        },
        status: {
            shape: {
                type: "string"
            }
        },
        taskSetsInfo: {
            shape: _ECSTaskSetList_1._ECSTaskSetList
        }
    }
};
//# sourceMappingURL=_ECSTarget.js.map