"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _S3Location_1 = require("./_S3Location");
var _GitHubLocation_1 = require("./_GitHubLocation");
var _RawString_1 = require("./_RawString");
var _AppSpecContent_1 = require("./_AppSpecContent");
exports._RevisionLocation = {
    type: "structure",
    required: [],
    members: {
        revisionType: {
            shape: {
                type: "string"
            }
        },
        s3Location: {
            shape: _S3Location_1._S3Location
        },
        gitHubLocation: {
            shape: _GitHubLocation_1._GitHubLocation
        },
        string: {
            shape: _RawString_1._RawString
        },
        appSpecContent: {
            shape: _AppSpecContent_1._AppSpecContent
        }
    }
};
//# sourceMappingURL=_RevisionLocation.js.map