import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetApplicationInput } from "../types/GetApplicationInput";
import { GetApplicationOutput } from "../types/GetApplicationOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/GetApplicationInput";
export * from "../types/GetApplicationOutput";
export * from "../types/GetApplicationExceptionsUnion";
export declare class GetApplicationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetApplicationInput, OutputTypesUnion, GetApplicationOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: GetApplicationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetApplicationInput, GetApplicationOutput, Blob>;
    constructor(input: GetApplicationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<GetApplicationInput, GetApplicationOutput>;
}
