import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListDeploymentTargetsInput } from "../types/ListDeploymentTargetsInput";
import { ListDeploymentTargetsOutput } from "../types/ListDeploymentTargetsOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/ListDeploymentTargetsInput";
export * from "../types/ListDeploymentTargetsOutput";
export * from "../types/ListDeploymentTargetsExceptionsUnion";
export declare class ListDeploymentTargetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListDeploymentTargetsInput, OutputTypesUnion, ListDeploymentTargetsOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: ListDeploymentTargetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListDeploymentTargetsInput, ListDeploymentTargetsOutput, Blob>;
    constructor(input: ListDeploymentTargetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<ListDeploymentTargetsInput, ListDeploymentTargetsOutput>;
}
