import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListOnPremisesInstancesInput } from "../types/ListOnPremisesInstancesInput";
import { ListOnPremisesInstancesOutput } from "../types/ListOnPremisesInstancesOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/ListOnPremisesInstancesInput";
export * from "../types/ListOnPremisesInstancesOutput";
export * from "../types/ListOnPremisesInstancesExceptionsUnion";
export declare class ListOnPremisesInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListOnPremisesInstancesInput, OutputTypesUnion, ListOnPremisesInstancesOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: ListOnPremisesInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListOnPremisesInstancesInput, ListOnPremisesInstancesOutput, Blob>;
    constructor(input: ListOnPremisesInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<ListOnPremisesInstancesInput, ListOnPremisesInstancesOutput>;
}
