import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutLifecycleEventHookExecutionStatusInput } from "../types/PutLifecycleEventHookExecutionStatusInput";
import { PutLifecycleEventHookExecutionStatusOutput } from "../types/PutLifecycleEventHookExecutionStatusOutput";
import { CodeDeployResolvedConfiguration } from "../CodeDeployConfiguration";
export * from "../types/PutLifecycleEventHookExecutionStatusInput";
export * from "../types/PutLifecycleEventHookExecutionStatusOutput";
export * from "../types/PutLifecycleEventHookExecutionStatusExceptionsUnion";
export declare class PutLifecycleEventHookExecutionStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, PutLifecycleEventHookExecutionStatusInput, OutputTypesUnion, PutLifecycleEventHookExecutionStatusOutput, CodeDeployResolvedConfiguration, Blob> {
    readonly input: PutLifecycleEventHookExecutionStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutLifecycleEventHookExecutionStatusInput, PutLifecycleEventHookExecutionStatusOutput, Blob>;
    constructor(input: PutLifecycleEventHookExecutionStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeDeployResolvedConfiguration): __aws_sdk_types.Handler<PutLifecycleEventHookExecutionStatusInput, PutLifecycleEventHookExecutionStatusOutput>;
}
