"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromOnPremisesInstancesInput_1 = require("../shapes/RemoveTagsFromOnPremisesInstancesInput");
var RemoveTagsFromOnPremisesInstancesOutput_1 = require("../shapes/RemoveTagsFromOnPremisesInstancesOutput");
var InstanceNameRequiredException_1 = require("../shapes/InstanceNameRequiredException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var TagRequiredException_1 = require("../shapes/TagRequiredException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var InstanceLimitExceededException_1 = require("../shapes/InstanceLimitExceededException");
var InstanceNotRegisteredException_1 = require("../shapes/InstanceNotRegisteredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromOnPremisesInstances = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromOnPremisesInstances",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromOnPremisesInstancesInput_1.RemoveTagsFromOnPremisesInstancesInput
    },
    output: {
        shape: RemoveTagsFromOnPremisesInstancesOutput_1.RemoveTagsFromOnPremisesInstancesOutput
    },
    errors: [
        {
            shape: InstanceNameRequiredException_1.InstanceNameRequiredException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: TagRequiredException_1.TagRequiredException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: InstanceLimitExceededException_1.InstanceLimitExceededException
        },
        {
            shape: InstanceNotRegisteredException_1.InstanceNotRegisteredException
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromOnPremisesInstances.js.map