"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TargetGroupInfo_1 = require("./_TargetGroupInfo");
exports._ECSTaskSet = {
    type: "structure",
    required: [],
    members: {
        identifer: {
            shape: {
                type: "string"
            }
        },
        desiredCount: {
            shape: {
                type: "integer"
            }
        },
        pendingCount: {
            shape: {
                type: "integer"
            }
        },
        runningCount: {
            shape: {
                type: "integer"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        trafficWeight: {
            shape: {
                type: "float"
            }
        },
        targetGroup: {
            shape: _TargetGroupInfo_1._TargetGroupInfo
        },
        taskSetLabel: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ECSTaskSet.js.map